Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class BlobHelper

    java.lang.Object
      com.sun.mdm.index.ops.BlobHelper

Direct Known Subclasses:
  MySQLBlobHelper, OracleBlobHelper, SQLServerBlobHelper

public abstract class BlobHelper
extends java.lang.Object

Constructor Summary
`BlobHelper()` Creates a new instance of BlobHelper

Method Summary
`static BlobHelper` | `getBlobHelper(java.lang.String dbType)` Get the Blob Helper for the specified database type
`(package private) abstract java.lang.Object` | `getValue(java.sql.ResultSet rs, java.lang.String column)` Gets the blob value.
`(package private) abstract void` | `setParamBlob(BlobHelperParameters bhp, java.lang.Object value)` Set the blob parameter.
`(package private) abstract void` | `setParamBlob(java.sql.ResultSet rs, java.lang.String column, java.lang.Object value)` Set the blob parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobHelper

    public BlobHelper()

  Creates a new instance of BlobHelper

Method Detail

### getBlobHelper

    public static BlobHelper getBlobHelper(java.lang.String dbType)

  Get the Blob Helper for the specified database type

  Parameters:
    `dbType` - database type (only Oracle and SQL Server are supported)
  Returns:
    BlobHelper

### getValue

    abstract java.lang.Object getValue(java.sql.ResultSet rs,
                                       java.lang.String column)
                                throws OPSException

  Gets the blob value.

  Parameters:
    `rs` - Result set that includes the blob value.
    `column` - Name of the blob column.
  Returns:
    value of the blob.
  Throws:
    `OPSException` - if an error occurs.

### setParamBlob

    abstract void setParamBlob(BlobHelperParameters bhp,
                               java.lang.Object value)
                        throws OPSException

  Set the blob parameter.

  Parameters:
    `bhp` - Parameters for the blob helper.
    `value` - Value of blob.
  Throws:
    `OPSException` - if error occurs.

### setParamBlob

    abstract void setParamBlob(java.sql.ResultSet rs,
                               java.lang.String column,
                               java.lang.Object value)
                        throws OPSException

  Set the blob parameter.

  Parameters:
    `rs` - ResultSet.
    `column` - Name of the blob column.
    `value` - Value of the blob.
  Throws:
    `OPSException` - if error occurs.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.